DELETE/v1/customers/{external_id}
Delete a customer
Deletes the customer with this external ID and returns it as it was. A repeat is refused as not found, and registering the external ID again creates a new customer. Needs customers:write.
curl -X DELETE 'https://api.entitler.co/v1/customers/ada' \
-H "Authorization: Bearer $ENTITLER_KEY"Credentials
Send any one of these:
- Bearer token
Path parameters
| Name | Type | Description |
|---|---|---|
external_idrequired | string |
Query parameters
| Name | Type | Description |
|---|---|---|
target.team_id | string | |
target.project_id | string | |
target.environment_id | string | |
expected_revision.value | integer |
Responses
200The DeleteCustomerResponse message.
DeleteCustomerResponse
customerCustomerattributesarray of CustomerAttributerequiredkeystringrequiredsetAtintegerrequiredat least 0; at most 18446744073709552000
setBycommon.Actoridstringrequiredtypecommon.ActorTyperequiredOne of
ACTOR_TYPE_UNSPECIFIED,ACTOR_TYPE_USER,ACTOR_TYPE_KEY,ACTOR_TYPE_SYSTEM.
sourceCustomerAttributeSourcerequiredOne of
CUSTOMER_ATTRIBUTE_SOURCE_UNSPECIFIED,CUSTOMER_ATTRIBUTE_SOURCE_BUSINESS,CUSTOMER_ATTRIBUTE_SOURCE_CUSTOMER.stateCustomerAttributeStaterequiredOne of
CUSTOMER_ATTRIBUTE_STATE_UNSPECIFIED,CUSTOMER_ATTRIBUTE_STATE_FREE_FORM,CUSTOMER_ATTRIBUTE_STATE_VALID,CUSTOMER_ATTRIBUTE_STATE_EXPIRED,CUSTOMER_ATTRIBUTE_STATE_INVALID.untilintegerat least 0; at most 18446744073709552000
valuestringrequiredverifiedAtintegerat least 0; at most 18446744073709552000
verifiedBycommon.Actoridstringrequiredtypecommon.ActorTyperequiredOne of
ACTOR_TYPE_UNSPECIFIED,ACTOR_TYPE_USER,ACTOR_TYPE_KEY,ACTOR_TYPE_SYSTEM.
blockedAtintegerat least 0; at most 18446744073709552000
blockedReasonCustomerBlockReasonrequiredOne of
CUSTOMER_BLOCK_REASON_UNSPECIFIED,CUSTOMER_BLOCK_REASON_PAYMENT_REVERSED.createdAtintegerrequiredat least 0; at most 18446744073709552000
emailstringenvironmentIdstringrequiredexternalIdstringrequiredidstringrequiredidentityProviderIdstringmarketIdstringmoneyCustomerMoneyrequiredOne of
CUSTOMER_MONEY_UNSPECIFIED,CUSTOMER_MONEY_REAL,CUSTOMER_MONEY_TEST.namestringprojectIdstringrequiredrevisionintegerrequiredat least 0; at most 18446744073709552000
trackIdstringupdatedAtintegerrequiredat least 0; at most 18446744073709552000
ErrorA refusal, with the HTTP status of its gRPC code.
Error
errorobjectrequiredcodestringrequiredparametersobjectrequiredEach value: string
reasonstringor nullrequired